#ifndef KEYDRIVER_H
#define KEYDRIVER_H

#define KEYBOARD_BUFFER_SIZE 128

// Initializes the keyboard driver
void init_keyboard_driver();

// Reads a single character from the keyboard and stores it in the buffer
char read_key();

// Gets the current index of the buffer
unsigned int get_buffer_index();

// Retrieves the contents of the keyboard buffer
const char* get_keyboard_buffer();

#endif // KEYDRIVER_H
